GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

        • Logout

        • Manage Token

        • Register

        • User information

          • Get user information
          • Modify user information
          • Bind email
          • Unbind email
          • Bind phone number
          • Unbind phone number
          • Get password strength and account security rating
          • Change password
          • Initiate verification request to change email
          • Change email
          • Initiate verification request to change mobile phone number
          • Change mobile phone number
          • Initiate forgotten password request
          • Forgot password
          • Initiate account cancellation request
          • Cancel account
        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

        • Others

        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. User information

  10. /
  11. Initiate verification request to change mobile phone number

¶ Initiate a verification request to modify the mobile phone number

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the document description is incorrect, please refer to the V3 API.

When the end user modifies the mobile phone number on his own, the corresponding verification method needs to be provided. This interface is used to verify that the user's request to modify the mobile phone number is legal. Currently, verification is supported by SMS verification code. You need to call the SMS interface to send the corresponding SMS verification code first.

¶ Method Name

AuthenticationClient.verifyUpdatePhoneRequest

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
phonePassCodePayloadUpdatePhoneByPhonePassCodeDtoYes-Data verified using the phone number verification code
verifyMethodstringYes-Modify the phone number verification method:
- PHONE_PASSCODE: Use SMS verification code for verification. Currently, only this method is supported.

¶ Request Response

Type: VerifyUpdatePhoneRequestRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which you can get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataVerifyUpdatePhoneRequestDataResponse Data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {}
}

¶ Data Structure

¶ UpdatePhoneByPhonePassCodeDto

NameType
Is it required
Description
Example Value
newPhoneNumberstringYesNew phone number without area code. If Yes, it is a foreign phone number, please specify the area code in the newPhoneCountryCode parameter.188xxxx8888
newPhonePassCodestringYesVerification code123456
newPhoneCountryCodestringNoPhone area code. This parameter is optional for phone numbers in mainland China. The GenAuth SMS service does not currently support international phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86
oldPhoneNumberstringNoOld phone number without area code. If Yes, it is a foreign phone number, please specify the area code in the oldPhoneCountryCode parameter. This parameter is required if the user pool has enabled the previous phone number verification when changing the phone number.188xxxx8888
oldPhonePassCodestringNoVerification code of the old mobile phone number. If the user pool has enabled the change of mobile phone number, the previous mobile phone number needs to be verified. This parameter is required.123456
oldPhoneCountryCodestringNoMobile phone area code. It is optional for mobile phone numbers in mainland China. The GenAuth SMS service does not currently support international mobile phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of mobile phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86

¶ VerifyUpdatePhoneRequestData

NameType
Is it required
Description
Example Value
updatePhoneTokenstringYesUsed to modify the current mobile phone number token. You need to use this token to request the Modify mobile phone number interface.
tokenExpiresInnumberYesExpiration time, in seconds.
Previous article: Change email Next article: Change mobile phone number
  • Method Name
  • Request Parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.